#include "vxp202.h"
#define VxP202_
#include "i2c.h"
#include <string.h>

#include <graphics.h>

#define DOS
#ifdef DOS
  #include <dos.h>
#endif

static void set_freq(unsigned short freq) {
  unsigned char config=0x01;
  unsigned short div;
  
  if (freq < 467*16) 
    config = 0x04;
  if (freq < 144*16) 
    config = 0x02;

  div=((freq+16*38.9));
  
  div&=0x7fff;
 /* cli(); /* keep Videotext driver from interfering */
  I2CStart();
  I2CSendByte(0xc2);
  I2CSendByte(freq>>8);
  I2CSendByte(freq&0xff);
  I2CSendByte(0x8e);
  I2CSendByte(config);
  I2CStop();
  /* sti();*/
}

int main() {
  int i,n;
  int d,m;
  int port,value;
  struct palettetype pal;
/*
  d=DETECT;
  initgraph(&d,&m,"");
  getpalette(&pal);
  /* */
//  setrgbpalette(pal.colors[pal.size-1],0xfc,0x00,0xfc);
//  setfillstyle(SOLID_FILL,pal.size-1);
//  bar(0,0,639,479);

  VxP_Initialize(0x500,0xC800,32);
 /*
  VxP_BASE=0x500;
  do {
    VxP_Register();
    printf("port: ");
    scanf("%02x",&port);
    printf("%02x -> ",VxP_PortRead(port));
//    printf("port value: ");
//    scanf("%02x %02x",&port,&value);
    scanf("%x",&value);
    if (value<=0xff) {
      VxP_PortWrite(port,value);
      printf("written: %02x\n",VxP_PortRead(port));
    } else
      printf("not written\n");
//    printf("%02x %02x\n",port,value);
  } while (1);
//  VxP_PortWrite(VxP_IO_BASE,(VxP_BASE >> 2) & 0xff);

  /* */
  I2CInit();
  I2CScanDevices();
  n=I2CNDev();
  printf("   I2C: found %d devices\n",n);
  for (i=0;i<n;i++)
    printf("    at: %02x\n",I2CDevice(i));



/*  bar(100,300,100+160,300+120); */
/*
  scanf("%d",&i);

  closegraph(); /* */

  return 0;
}
